BizKitHub
DocsAPI ReferenceWarehouse/bff/warehouse/update
postWarehouseAdmin BFF

/bff/warehouse/update

Update warehouse

WarehousepostBffWarehouseUpdate

Parameters

JSON body

Request body

application/json
warehouseIdnumberRequired
namestringOptional
descriptionstring | nullOptional
One of 2:
Variant 1
string
Variant 2
null
addressStreetstring | nullOptional
One of 2:
Variant 1
string
Variant 2
null
addressCitystring | nullOptional
One of 2:
Variant 1
string
Variant 2
null
addressZipstring | nullOptional
One of 2:
Variant 1
string
Variant 2
null
addressCountrystring | nullOptional
One of 2:
Variant 1
string
Variant 2
null
isActivebooleanOptional
allowNegativeStockbooleanOptional
managerMemberIdnumber | nullOptional
One of 2:
Variant 1
number
Variant 2
null

Response schema

1 status code documented

200Success
successbooleanRequired

Response example

application/json
{
  "success": false
}

Request example

POST /bff/warehouse/update

post
curl -X POST "https://api.bizkithub.com/bff/warehouse/update" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "warehouseId": 0,
  "name": "example_name",
  "isActive": false,
  "allowNegativeStock": false
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key